SSTableIndex (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi

## Class SSTableIndex

- java.lang.Object
- - org.apache.cassandra.index.sasi.SSTableIndex

-     public class SSTableIndex
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableIndex(ColumnIndex index, java.io.File indexFile, SSTableReader referent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getPath()`
    `SSTableReader` | `getSSTable()`
    `int` | `hashCode()`
    `boolean` | `hasMarkedPartials()`
    `boolean` | `isObsolete()`
    `void` | `markObsolete()`
    `java.nio.ByteBuffer` | `maxKey()`
    `java.nio.ByteBuffer` | `maxTerm()`
    `java.nio.ByteBuffer` | `minKey()`
    `java.nio.ByteBuffer` | `minTerm()`
    `OnDiskIndexBuilder.Mode` | `mode()`
    `boolean` | `reference()`
    `void` | `release()`
    `RangeIterator<java.lang.Long,Token>` | `search(Expression expression)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableIndex

          public SSTableIndex(ColumnIndex index,
                              java.io.File indexFile,
                              SSTableReader referent)

  - ### Method Detail

    - #### mode

          public OnDiskIndexBuilder.Mode mode()

    - #### hasMarkedPartials

          public boolean hasMarkedPartials()

    - #### minTerm

          public java.nio.ByteBuffer minTerm()

    - #### maxTerm

          public java.nio.ByteBuffer maxTerm()

    - #### minKey

          public java.nio.ByteBuffer minKey()

    - #### maxKey

          public java.nio.ByteBuffer maxKey()

    - #### search

          public RangeIterator<java.lang.Long,Token> search(Expression expression)

    - #### getSSTable

          public SSTableReader getSSTable()

    - #### getPath

          public java.lang.String getPath()

    - #### reference

          public boolean reference()

    - #### release

          public void release()

    - #### markObsolete

          public void markObsolete()

    - #### isObsolete

          public boolean isObsolete()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation